[Rubygems-developers] Problem with ruby-debug-base and ruby-debug

han.holl at tietoenator.com han.holl at tietoenator.com
Fri Aug 31 10:53:53 EDT 2007


Hi,
If you 'gem install ruby-debug' you get ruby-debug-base as a dependency.

However, if you do: gem contents ruby-debug
you get the contents of ruby-debug-base.

The problem is probably that ruby-debug-base is seen as the latest version of 
ruby-debug.
In other words, gem names that are real subsets of other gem names can lead to 
trouble.

Cheers,

Han Holl


More information about the Rubygems-developers mailing list